CairoFormat
CairoFillRule
CairoFormat
PHP Manual

# CairoFormat::strideForWidth

Provides an appropiate stride to use

### Description

public static int CairoFormat::strideForWidth ( int `$format` , int `$width` )

This method provides a stride value that will respect all alignment requirements of the accelerated image-rendering code within cairo.

### Parameters

`format`

  The desired CairoFormat to use

`width`

  The width of the image

### Return Values

The appropriate stride to use given the desired format and width, or -1 if either the format is invalid or the width too large.

### Examples

Example #1 CairoFormat::strideForWidth example

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- Classname::Method